Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2184301 - perl-Syntax-Feature-Loop-1.8.0-18.fc39 FTBFS: t/01_basic.t and 3 more tests fail [NEEDINFO]
Summary: perl-Syntax-Feature-Loop-1.8.0-18.fc39 FTBFS: t/01_basic.t and 3 more tests fail
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Syntax-Feature-Loop
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS 2222637
TreeView+ depends on / blocked
 
Reported: 2023-04-04 07:34 UTC by Jitka Plesnikova
Modified: 2024-05-05 04:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:
releng: needinfo? (extras-orphan)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 147485 0 None None None 2023-04-04 07:34:16 UTC

Description Jitka Plesnikova 2023-04-04 07:34:16 UTC
Description of problem:
Package perl-Syntax-Feature-Loop fails to build from source in Fedora Rawhide.

Bareword found where operator expected at t/01_basic.t line 20, near "loop"
	(Missing semicolon on previous line?)
syntax error at t/01_basic.t line 19, near "; last "
Global symbol "$s" requires explicit package name (did you forget to declare "my $s"?) at t/01_basic.t line 20.
Global symbol "$i" requires explicit package name (did you forget to declare "my $i"?) at t/01_basic.t line 20.
Global symbol "$s" requires explicit package name (did you forget to declare "my $s"?) at t/01_basic.t line 20.
Global symbol "$s" requires explicit package name (did you forget to declare "my $s"?) at t/01_basic.t line 21.
syntax error at t/01_basic.t line 22, near "}"
Can't redeclare "my" in "my" at t/01_basic.t line 26, near "my"
syntax error at t/01_basic.t line 28, near "last if"
syntax error at t/01_basic.t line 36, near "}"
syntax error at t/01_basic.t line 38, near "}"
t/01_basic.t has too many errors.
# Looks like your test exited with 2 before it could output anything.
t/01_basic.t ............ 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 4/4 subtests 
Bareword found where operator expected at t/02_pragma_a.t line 28, near "is"
	(Missing semicolon on previous line?)
syntax error at t/02_pragma_a.t line 27, near "; last"
BEGIN not safe after errors--compilation aborted at t/02_pragma_a.t line 31.
# Looks like your test exited with 2 before it could output anything.
t/02_pragma_a.t ......... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 6/6 subtests 
Bareword found where operator expected at t/02_pragma_b.t line 28, near "is"
	(Missing semicolon on previous line?)
syntax error at t/02_pragma_b.t line 27, near "; last"
BEGIN not safe after errors--compilation aborted at t/02_pragma_b.t line 31.
# Looks like your test exited with 2 before it could output anything.
t/02_pragma_b.t ......... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 6/6 subtests 
Semicolon seems to be missing at t/03_line_numbers.t line 112.
syntax error at t/03_line_numbers.t line 102, near "is"
syntax error at t/03_line_numbers.t line 112, near "}"
Execution of t/03_line_numbers.t aborted due to compilation errors.
# Looks like your test exited with 255 before it could output anything.
t/03_line_numbers.t ..... 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 5/5 subtests 


A difference between passing and failing build root is at https://koschei.fedoraproject.org/build/15176950. An update of perl-Lexical-Var from 0.009-31.fc38 to 0.010-1.fc39 is suspicious.

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/perl-Syntax-Feature-Loop

Comment 1 Fedora Release Engineering 2023-08-16 07:13:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 2 Fedora Admin user for bugzilla script actions 2023-11-08 12:05:59 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 3 Fedora Release Engineering 2023-12-24 04:22:22 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 4 Fedora Release Engineering 2024-01-21 04:22:19 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 5 Fedora Release Engineering 2024-02-11 04:22:17 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 6 Fedora Release Engineering 2024-03-03 04:22:16 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 7 Fedora Release Engineering 2024-03-24 04:22:18 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 8 Fedora Release Engineering 2024-04-14 04:22:17 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html

Comment 9 Petr Pisar 2024-04-15 10:18:15 UTC
This package was removed from Fedora since Fedora release 40.

Comment 10 Fedora Release Engineering 2024-05-05 04:22:15 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 39.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2023-05-30).

A week before the mass branching of Fedora 40 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 38 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-40/f-40-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.